library(tidyr)
library(ggplot2)
library(scales)
#faili sisselugemine ja andmete formaadi korrigeerimine
J121=read.csv2("PT1-T1.2-J1.2.1.csv",header=TRUE, encoding ="UTF-8")
names(J121)[2:17]=sub("X","",names(J121))[2:17]
J121d=J121[1:2,]
J121d=pivot_longer(J121d,col=names(J121)[2:17],"Aasta")
J121d$Aasta=as.factor(J121d$Aasta)

J121e=J121[3:6,]
J121e=pivot_longer(J121e,col=names(J121)[2:17],"Aasta")
J121d$Upper=numeric(32)
J121d$Lower=numeric(32)
J121d$Upper[1:16]=J121e$value[17:32]
J121d$Lower[1:16]=J121e$value[1:16]

J121d$Upper[17:32]=J121e$value[49:64]
J121d$Lower[17:32]=J121e$value[33:48]
J121d$value=as.numeric(J121d$value)
J121d$Lower=as.numeric(J121d$Lower)
J121d$Upper=as.numeric(J121d$Upper)


#joonis
ggplot(J121d)+
  geom_point(aes(x=Aasta,y=value,group=X,col=X),pos=position_dodge(0.2))+
  geom_line(aes(x=Aasta,y=value,group=X,col=X),pos=position_dodge(0.2),linewidth=1.5)+
  geom_errorbar(aes(x=Aasta,ymin=Lower,ymax=Upper,col=X),pos=position_dodge(0.2),width=0.3)+
  theme_minimal()+
  scale_color_manual(values=c("#1E272E","#FF3600"))+
  ylab("%")+
  scale_y_continuous(limits=c(0,35))+
  theme(legend.title=element_blank(),legend.position = "bottom")+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  geom_smooth(aes(x=Aasta, y=value,group=X,col=X),method="lm",se=FALSE,linewidth=1.5,linetype="dashed")

  



  
  
  